| Qore Programming Language - C/C++ Library 1.0.8

Public Member Functions | List of all members
QoreXSinkException Class Reference

class for C++ exception based on an ExceptionSink object More...

`#include <QoreXSinkException.h>`

Inheritance diagram for QoreXSinkException:
[legend]
Collaboration diagram for QoreXSinkException:
[legend]

## Public Member Functions
DLLEXPORT | QoreXSinkException (ExceptionSink &xsink)
| creates the exception object More...
DLLEXPORT | QoreXSinkException (QoreXSinkException &&xsink)=default
| copy constructor
virtual DLLEXPORT | ~QoreXSinkException ()
| Destroys the object.
virtual void | convert (ExceptionSink *xsink)
| Raises the corresponding Qore exception in the ExceptionSink. More...
DLLEXPORT QoreXSinkException & | operator= (QoreXSinkException &&)=default
| Default assignment operator.
Public Member Functions inherited from AbstractException
virtual DLLEXPORT | ~AbstractException ()=default
| Default virtual destructor.

## Additional Inherited Members
Protected Member Functions inherited from AbstractException
DLLEXPORT | AbstractException ()=default
| Default constructor.

## Detailed Description

class for C++ exception based on an ExceptionSink object

## Constructor & Destructor Documentation

## ◆ QoreXSinkException()

DLLEXPORT QoreXSinkException::QoreXSinkException | ( | ExceptionSink & | xsink | ) |

creates the exception object

after this call, the xsink argument can no longer be used

## Member Function Documentation

## ◆ convert()

virtual void QoreXSinkException::convert | ( | ExceptionSink * | xsink | ) |
| virtual

Raises the corresponding Qore exception in the ExceptionSink.

Parameters

  xsink | the exception sink

Implements AbstractException.

The documentation for this class was generated from the following file:

- include/qore/QoreXSinkException.h